#include <math.h>
#include <assert.h>
#include "complex.h"

void
cartesian_to_polar (complex S[N], real amp[N], real phs[N])
{
  int i;

  assert (S && amp && phs);

  for (i=0; i<N; i++)
    {
      complex c = S[i];

      amp[i] = hypot (c_re(c), c_im(c));
      phs[i] = atan2 (c_im(c), c_re(c));
    }
}

void
polar_to_cartesian (real amp[N], real phs[N], complex S[N])
{
  int i;

  assert (amp && phs && S);

  for (i=0; i<N; i++)
    {
      c_re(S[i]) = amp[i] * cos (phs[i]);
      c_im(S[i]) = amp[i] * sin (phs[i]);
    }
}

/* End Of File */
