#include <math.h>
#include <assert.h>
#include "window.h"

real
hann_window (frame s)
{
  real sum = 0;

  int i;

  assert (s);

  for (i=0; i<N; i++)
    {
      real w_i = 0.5 * (1 - cos (2*M_PI*i/N));

      s[i] *= w_i;

      sum += w_i;
    }

  return sum;
}

void
zero_phase (frame s)
{
  int i;

  assert (s);

  for (i=0; i<(N/2); i++)
    {
      real tmp = s[i];
      s[i] = s[N/2+i];
      s[N/2+i] = tmp;
    }
}

/* End Of File */
