#include <stdio.h>
#include <assert.h>
#include "gnuplot_i.h"
#include "plot.h"

static gnuplot_ctrl *temporal = NULL, *spectral = NULL;

static real temporal_axis[N];
static real spectral_axis[N/2+1];

void
plot_init (void)
{
  int i;

  /* temporal */

  temporal = gnuplot_init ();

  gnuplot_setstyle (temporal, "lines");

  for (i=0; i<N; i++)
    {
      temporal_axis[i] = i / SAMPLING_RATE;
    }

  /* spectral */

  spectral = gnuplot_init ();

  gnuplot_setstyle (spectral, "lines");

  for (i=0; i<=(N/2); i++)
    {
      spectral_axis[i] = i * SAMPLING_RATE / N;
    }
}

void
plot_exit (void)
{
  gnuplot_close (spectral);
  gnuplot_close (temporal);
}

void
plot_temporal (frame s)
{
  assert (s);

  gnuplot_resetplot (temporal);

  gnuplot_plot_xy (temporal, temporal_axis, s, N, "s");
}

void
plot_spectral (real amp[N])
{
  assert (amp);

  gnuplot_resetplot (spectral);

  gnuplot_plot_xy (spectral, spectral_axis, amp, N/2+1, "|S|");
}

/* End Of File */
